Closed Bug 1579487 Opened 5 months ago Closed 5 months ago

The protection panel and protection report show dates one day apart

Categories

(Firefox :: Protections UI, enhancement, P1)

70 Branch
enhancement

Tracking

()

RESOLVED FIXED
Firefox 71
Tracking Status
firefox70 --- fixed
firefox71 --- fixed

People

(Reporter: ewright, Assigned: ewright)

References

Details

(Whiteboard: [protection-report])

Attachments

(1 file)

On the protection report there is a date "XXX trackers blocked since June 28, 2019", on the protection panel when you hover the number of trackers blocked the tooltip says the date as "June 27, 2019".

The API does not correct the dates according to timezone, but the protection report adjusts for that. This adjustment should be added into the API.

Whiteboard: [protection-report]

note: this api is also being used by the newtab page.

Pushed by ewright@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/acd271126bbc
Change the Protections database API to return the correct date in the user's timezone. r=johannh

Backed out changeset acd271126bbc (Bug 1579487) for test_tracking_db_service.js failures

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=xpcshell&fromchange=c07f576373d65f95063220b8e5559b555e6f29eb&tochange=4df4ed7cde2edb8cbd64f533d1bba9d5facf4c82&selectedJob=265797458

Backout link: https://hg.mozilla.org/integration/autoland/rev/4df4ed7cde2edb8cbd64f533d1bba9d5facf4c82

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=265797458&repo=autoland&lineNumber=5945

[task 2019-09-09T22:02:40.990Z] 22:02:40 INFO - TEST-START | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js
[task 2019-09-09T22:03:42.645Z] 22:03:42 WARNING - TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | xpcshell return code: 1
[task 2019-09-09T22:03:42.646Z] 22:03:42 INFO - TEST-INFO took 61655ms
[task 2019-09-09T22:03:42.646Z] 22:03:42 INFO - >>>>>>>
[task 2019-09-09T22:03:42.646Z] 22:03:42 INFO - PID 10436 | Unable to load \untrusted-startup-test-dll.dll; LoadLibraryW failed: 126Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-09-09T22:03:42.647Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-09T22:03:42.647Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-09T22:03:42.647Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-09T22:03:42.648Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-09T22:03:42.648Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Failed to get directory to cache.: file z:/build/build/src/security/sandbox/win/src/sandboxbroker/sandboxBroker.cpp, line 83
[task 2019-09-09T22:03:42.649Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file z:/build/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2632
[task 2019-09-09T22:03:42.649Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file z:/build/build/src/extensions/permissions/nsPermissionManager.cpp, line 2883
[task 2019-09-09T22:03:42.649Z] 22:03:42 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-09-09T22:03:42.649Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-09-09T22:03:42.649Z] 22:03:42 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-09-09T22:03:42.650Z] 22:03:42 INFO - running event loop
[task 2019-09-09T22:03:42.650Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] WARNING: Could not get the program name for a cubeb stream.: 'NS_SUCCEEDED(rv)', file z:/build/build/src/dom/media/CubebUtils.cpp, line 384
[task 2019-09-09T22:03:42.651Z] 22:03:42 INFO - toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | Starting test_save_and_delete
[task 2019-09-09T22:03:42.651Z] 22:03:42 INFO - (xpcshell/head.js) | test test_save_and_delete pending (2)
[task 2019-09-09T22:03:42.652Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-09-09T22:03:42.652Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 100] events table exists - true == true
[task 2019-09-09T22:03:42.652Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 104] Events that should not be saved have not been, length is 4 - 4 == 4
[task 2019-09-09T22:03:42.652Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 112] Only one day has had tracker entries, length is 1 - 1 == 1
[task 2019-09-09T22:03:42.653Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 114] there is only one tracker entry - 1 == 1
[task 2019-09-09T22:03:42.653Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 119] Only one day has had cookies entries, length is 1 - 1 == 1
[task 2019-09-09T22:03:42.653Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 121] Cookie entries were aggregated - 3 == 3
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 126] Only one day has had cryptominer entries, length is 1 - 1 == 1
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 132] there is only one cryptominer entry - 1 == 1
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 137] Only one day has had fingerprinters entries, length is 1 - 1 == 1
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 143] there is only one fingerprinter entry - 1 == 1
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_save_and_delete - [test_save_and_delete : 149] length is 0 - 0 == 0
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 1 pending (2)
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - (xpcshell/head.js) | test test_save_and_delete finished (2)
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | Starting test_timestamp_aggragation
[task 2019-09-09T22:03:42.654Z] 22:03:42 INFO - (xpcshell/head.js) | test test_timestamp_aggragation pending (2)
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 1 finished (2)
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 214] Tracker entries for today and yesterday, length is 2 - 2 == 2
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 218] Yesterday's count is 4 - 4 == 4
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 220] Today's count is 3, new entries were aggregated - 3 == 3
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 227] Cryptominer entries for today and yesterday, length is 2 - 2 == 2
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 235] Yesterday's count is 3 - 3 == 3
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 237] Today's count is 3, new entries were aggregated - 3 == 3
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 244] Fingerprinter entries for today and yesterday, length is 2 - 2 == 2
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 252] Yesterday's count is 2 - 2 == 2
[task 2019-09-09T22:03:42.655Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 254] Today's count is 3, new entries were aggregated - 3 == 3
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 261] Tracking Cookies entries for today and yesterday, length is 2 - 2 == 2
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 269] Yesterday's count is 1 - 1 == 1
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 271] Today's count is 5, new entries were aggregated - 5 == 5
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_timestamp_aggragation - [test_timestamp_aggragation : 279] length is 0 - 0 == 0
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 2 pending (2)
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - (xpcshell/head.js) | test test_timestamp_aggragation finished (2)
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | Starting test_getEventsByDateRange
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - (xpcshell/head.js) | test test_getEventsByDateRange pending (2)
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 2 finished (2)
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_getEventsByDateRange - [test_getEventsByDateRange : 337] There is 1 event entry between the date and one day before, inclusive - 1 == 1
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_getEventsByDateRange - [test_getEventsByDateRange : 344] There is 4 event entries between the date and four days before, inclusive - 4 == 4
[task 2019-09-09T22:03:42.656Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_getEventsByDateRange - [test_getEventsByDateRange : 354] There is 2 event entries between nine and four days before, inclusive - 2 == 2
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 3 pending (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test test_getEventsByDateRange finished (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | Starting test_sumAllEvents
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test test_sumAllEvents pending (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 3 finished (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_sumAllEvents - [test_sumAllEvents : 374] There have been 0 events recorded - 0 == 0
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_sumAllEvents - [test_sumAllEvents : 380] There have been 11 events recorded - 11 == 11
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 4 pending (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test test_sumAllEvents finished (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | Starting test_getEarliestRecordedDate
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test test_getEarliestRecordedDate pending (2)
[task 2019-09-09T22:03:42.657Z] 22:03:42 INFO - (xpcshell/head.js) | test run_next_test 4 finished (2)
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_getEarliestRecordedDate - [test_getEarliestRecordedDate : 396] There is no earliest recorded date - null == null
[task 2019-09-09T22:03:42.658Z] 22:03:42 WARNING - TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | test_getEarliestRecordedDate - [test_getEarliestRecordedDate : 406] The earliest recorded event is nine days before. - 1520251200000 == "2018-03-05"
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - Z:/task_1568061443/build/tests/xpcshell/tests/toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js:test_getEarliestRecordedDate:406
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - exiting test
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - Unexpected exception NS_ERROR_ABORT:
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - _abort_failed_test@Z:\task_1568061443\build\tests\xpcshell\head.js:789:20
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - do_report_result@Z:\task_1568061443\build\tests\xpcshell\head.js:890:5
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - Assert<@Z:\task_1568061443\build\tests\xpcshell\head.js:67:21
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - proto.report@resource://testing-common/Assert.jsm:233:10
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - equal@resource://testing-common/Assert.jsm:275:8
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - test_getEarliestRecordedDate@Z:/task_1568061443/build/tests/xpcshell/tests/toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js:406:8
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - async*run_next_test/_run_next_test/<@Z:\task_1568061443\build\tests\xpcshell\head.js:1565:22
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - _run_next_test@Z:\task_1568061443\build\tests\xpcshell\head.js:1565:38
[task 2019-09-09T22:03:42.658Z] 22:03:42 INFO - run@Z:\task_1568061443\build\tests\xpcshell\head.js:733:9
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - _do_main@Z:\task_1568061443\build\tests\xpcshell\head.js:246:6
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - _execute_test@Z:\task_1568061443\build\tests\xpcshell\head.js:573:5
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - @-e:1:1
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - exiting test
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - PID 10436 | WARNING: At least one completion condition is taking too long to complete. Conditions: [{"name":"Sqlite.jsm shutdown blocker","state":{"description":"Waiting for connections to close","state":[{"name":"protections.sqlite#5: waiting for shutdown","state":{"identifier":"protections.sqlite#5","isCloseRequested":false,"hasDbConn":true,"hasInProgressTransaction":false,"pendingStatements":0,"statementCounter":5},"filename":"resource://gre/modules/Sqlite.jsm","lineNumber":293,"stack":["resource://gre/modules/Sqlite.jsm:ConnectionData:293","resource://gre/modules/Sqlite.jsm:OpenedConnection:1294","resource://gre/modules/Sqlite.jsm:openConnection/</<:1090","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_do_main:246","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_execute_test:573","-e:null:1"]}]},"filename":"resource://gre/modules/Sqlite.jsm","lineNumber":170,"stack":["resource://gre/modules/Sqlite.jsm:null:170","resource://gre/modules/XPCOMUtils.jsm:get:129","resource://gre/modules/Sqlite.jsm:ConnectionData:293","resource://gre/modules/Sqlite.jsm:OpenedConnection:1294","resource://gre/modules/Sqlite.jsm:openConnection/</<:1090","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_do_main:246","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_execute_test:573","-e:null:1"]}] Barrier: profile-before-change
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - PID 10436 | WARNING: At least one completion condition is taking too long to complete. Conditions: [{"name":"protections.sqlite#5: waiting for shutdown","state":{"identifier":"protections.sqlite#5","isCloseRequested":false,"hasDbConn":true,"hasInProgressTransaction":false,"pendingStatements":0,"statementCounter":5},"filename":"resource://gre/modules/Sqlite.jsm","lineNumber":293,"stack":["resource://gre/modules/Sqlite.jsm:ConnectionData:293","resource://gre/modules/Sqlite.jsm:OpenedConnection:1294","resource://gre/modules/Sqlite.jsm:openConnection/</<:1090","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_do_main:246","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_execute_test:573","-e:null:1"]}] Barrier: Sqlite.jsm: wait until all connections are closed
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - PID 10436 | FATAL ERROR: AsyncShutdown timeout in profile-before-change Conditions: [{"name":"Sqlite.jsm shutdown blocker","state":{"description":"Waiting for connections to close","state":[{"name":"protections.sqlite#5: waiting for shutdown","state":{"identifier":"protections.sqlite#5","isCloseRequested":false,"hasDbConn":true,"hasInProgressTransaction":false,"pendingStatements":0,"statementCounter":5},"filename":"resource://gre/modules/Sqlite.jsm","lineNumber":293,"stack":["resource://gre/modules/Sqlite.jsm:ConnectionData:293","resource://gre/modules/Sqlite.jsm:OpenedConnection:1294","resource://gre/modules/Sqlite.jsm:openConnection/</<:1090","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_do_main:246","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_execute_test:573","-e:null:1"]}]},"filename":"resource://gre/modules/Sqlite.jsm","lineNumber":170,"stack":["resource://gre/modules/Sqlite.jsm:null:170","resource://gre/modules/XPCOMUtils.jsm:get:129","resource://gre/modules/Sqlite.jsm:ConnectionData:293","resource://gre/modules/Sqlite.jsm:OpenedConnection:1294","resource://gre/modules/Sqlite.jsm:openConnection/</<:1090","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_do_main:246","Z:\\task_1568061443\\build\\tests\\xpcshell\\head.js:_execute_test:573","-e:null:1"]}] At least one completion condition failed to complete within a reasonable amount of time. Causing a crash to ensure that we do not leave the user with an unresponsive process draining resources.
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - PID 10436 | [10436, Main Thread] ###!!! ABORT: file resource://gre/modules/Sqlite.jsm, line 170
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - <<<<<<<
[task 2019-09-09T22:03:42.659Z] 22:03:42 INFO - mozcrash Copy/paste: Z:\task_1568061443\build\win32-minidump_stackwalk.exe c:\users\task_1568061443\appdata\local\temp\xpc-other-cvq_x5\60f02da6-cdb8-4b93-a9e1-c8f95b6388cd.dmp Z:\task_1568061443\build\symbols
[task 2019-09-09T22:03:50.729Z] 22:03:50 INFO - mozcrash Saved minidump as Z:\task_1568061443\build\blobber_upload_dir\60f02da6-cdb8-4b93-a9e1-c8f95b6388cd.dmp
[task 2019-09-09T22:03:50.731Z] 22:03:50 INFO - mozcrash Saved app info as Z:\task_1568061443\build\blobber_upload_dir\60f02da6-cdb8-4b93-a9e1-c8f95b6388cd.extra
[task 2019-09-09T22:03:50.731Z] 22:03:50 WARNING - PROCESS-CRASH | toolkit/components/antitracking/test/xpcshell/test_tracking_db_service.js | application crashed [@ wil::details::DebugBreak() + 0x2]
[task 2019-09-09T22:03:50.731Z] 22:03:50 INFO - Crash dump filename: c:\users\task_1568061443\appdata\local\temp\xpc-other-cvq_x5\60f02da6-cdb8-4b93-a9e1-c8f95b6388cd.dmp
[task 2019-09-09T22:03:50.731Z] 22:03:50 INFO - Operating system: Windows NT
[task 2019-09-09T22:03:50.732Z] 22:03:50 INFO - 10.0.17134
[task 2019-09-09T22:03:50.732Z] 22:03:50 INFO - CPU: amd64
[task 2019-09-09T22:03:50.733Z] 22:03:50 INFO - family 6 model 85 stepping 4
[task 2019-09-09T22:03:50.733Z] 22:03:50 INFO - 8 CPUs
[task 2019-09-09T22:03:50.734Z] 22:03:50 INFO - GPU: UNKNOWN
[task 2019-09-09T22:03:50.734Z] 22:03:50 INFO - Crash reason: EXCEPTION_BREAKPOINT
[task 2019-09-09T22:03:50.735Z] 22:03:50 INFO - Crash address: 0x7ffa63f5c902
[task 2019-09-09T22:03:50.735Z] 22:03:50 INFO - Process uptime: 62 seconds
[task 2019-09-09T22:03:50.736Z] 22:03:50 INFO - Thread 0 (crashed)
[task 2019-09-09T22:03:50.736Z] 22:03:50 INFO - 0 KERNELBASE.dll!wil::details::DebugBreak() + 0x2
[task 2019-09-09T22:03:50.736Z] 22:03:50 INFO - rax = 0x0000000000000000 rdx = 0x0000000000000002
[task 2019-09-09T22:03:50.737Z] 22:03:50 INFO - rcx = 0x0149f6d73f640000 rbx = 0x000000abf8ffa1d0
[task 2019-09-09T22:03:50.737Z] 22:03:50 INFO - rsi = 0x000000abf8ffa200 rdi = 0x000000abf8ffa1e0
[task 2019-09-09T22:03:50.738Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa198
[task 2019-09-09T22:03:50.738Z] 22:03:50 INFO - r8 = 0x00007ffa2590168c r9 = 0x000000000000000c
[task 2019-09-09T22:03:50.739Z] 22:03:50 INFO - r10 = 0x000000abf8ffa408 r11 = 0x0000025e7fa40a4b
[task 2019-09-09T22:03:50.739Z] 22:03:50 INFO - r12 = 0x0000000000000000 r13 = 0x0000000000000000
[task 2019-09-09T22:03:50.740Z] 22:03:50 INFO - r14 = 0x0000000000000003 r15 = 0x000000abf8ffa408
[task 2019-09-09T22:03:50.740Z] 22:03:50 INFO - rip = 0x00007ffa63f5c902
[task 2019-09-09T22:03:50.741Z] 22:03:50 INFO - Found by: given as instruction pointer in context
[task 2019-09-09T22:03:50.741Z] 22:03:50 INFO - 1 xul.dll!NS_DebugBreak [nsDebugImpl.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 393 + 0x5]
[task 2019-09-09T22:03:50.742Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa1a0
[task 2019-09-09T22:03:50.742Z] 22:03:50 INFO - rip = 0x00007ffa1dbd8449
[task 2019-09-09T22:03:50.742Z] 22:03:50 INFO - Found by: stack scanning
[task 2019-09-09T22:03:50.743Z] 22:03:50 INFO - 2 xul.dll!nsDebugImpl::Abort(char const *,int) [nsDebugImpl.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 133 + 0x14]
[task 2019-09-09T22:03:50.743Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa650
[task 2019-09-09T22:03:50.744Z] 22:03:50 INFO - rip = 0x00007ffa1dbd854b
[task 2019-09-09T22:03:50.744Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.745Z] 22:03:50 INFO - 3 xul.dll!XPTC__InvokebyIndex + 0x72
[task 2019-09-09T22:03:50.745Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa680
[task 2019-09-09T22:03:50.746Z] 22:03:50 INFO - rip = 0x00007ffa258d2442
[task 2019-09-09T22:03:50.746Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.747Z] 22:03:50 INFO - 4 0x25e7fa28640
[task 2019-09-09T22:03:50.747Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa690
[task 2019-09-09T22:03:50.748Z] 22:03:50 INFO - rip = 0x0000025e7fa28640
[task 2019-09-09T22:03:50.748Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.749Z] 22:03:50 INFO - 5 xul.dll!truncf + 0x7c790
[task 2019-09-09T22:03:50.749Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa6c0
[task 2019-09-09T22:03:50.750Z] 22:03:50 INFO - rip = 0x00007ffa2595b8f0
[task 2019-09-09T22:03:50.750Z] 22:03:50 INFO - Found by: stack scanning
[task 2019-09-09T22:03:50.751Z] 22:03:50 INFO - 6 xul.dll!CallMethodHelper::Call() [XPCWrappedNative.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 1187 + 0x18]
[task 2019-09-09T22:03:50.751Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa6d0
[task 2019-09-09T22:03:50.752Z] 22:03:50 INFO - rip = 0x00007ffa1ec233fa
[task 2019-09-09T22:03:50.752Z] 22:03:50 INFO - Found by: stack scanning
[task 2019-09-09T22:03:50.753Z] 22:03:50 INFO - 7 xul.dll!XPCWrappedNative::CallMethod(XPCCallContext &,XPCWrappedNative::CallMode) [XPCWrappedNative.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 1149 + 0x8]
[task 2019-09-09T22:03:50.753Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa720
[task 2019-09-09T22:03:50.754Z] 22:03:50 INFO - rip = 0x00007ffa1ec2319a
[task 2019-09-09T22:03:50.754Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.755Z] 22:03:50 INFO - 8 xul.dll!XPC_WN_CallMethod(JSContext *,unsigned int,JS::Value *) [XPCWrappedNativeJSOps.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 943 + 0x8]
[task 2019-09-09T22:03:50.755Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffa8a0
[task 2019-09-09T22:03:50.756Z] 22:03:50 INFO - rip = 0x00007ffa1ec24f73
[task 2019-09-09T22:03:50.756Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.757Z] 22:03:50 INFO - 9 xul.dll!CallJSNative(JSContext ,bool ()(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 447 + 0x6]
[task 2019-09-09T22:03:50.757Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffaa20
[task 2019-09-09T22:03:50.758Z] 22:03:50 INFO - rip = 0x00007ffa239e2c0b
[task 2019-09-09T22:03:50.758Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.759Z] 22:03:50 INFO - 10 xul.dll!js::InternalCallOrConstruct(JSContext *,JS::CallArgs const &,js::MaybeConstruct) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 539 + 0xb]
[task 2019-09-09T22:03:50.759Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffaac0
[task 2019-09-09T22:03:50.759Z] 22:03:50 INFO - rip = 0x00007ffa239e24bd
[task 2019-09-09T22:03:50.760Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.761Z] 22:03:50 INFO - 11 xul.dll!static bool InternalCall(struct JSContext *, const class js::AnyInvokeArgs & const) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 594 + 0xe]
[task 2019-09-09T22:03:50.761Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffabb0
[task 2019-09-09T22:03:50.762Z] 22:03:50 INFO - rip = 0x00007ffa239e3701
[task 2019-09-09T22:03:50.762Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.763Z] 22:03:50 INFO - 12 xul.dll!static bool Interpret(struct JSContext *, class js::RunState & const) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 3084 + 0x10]
[task 2019-09-09T22:03:50.763Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffac10
[task 2019-09-09T22:03:50.764Z] 22:03:50 INFO - rip = 0x00007ffa239d6422
[task 2019-09-09T22:03:50.764Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.765Z] 22:03:50 INFO - 13 xul.dll!js::RunScript(JSContext *,js::RunState &) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 424 + 0xb]
[task 2019-09-09T22:03:50.765Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb0f0
[task 2019-09-09T22:03:50.765Z] 22:03:50 INFO - rip = 0x00007ffa239cf540
[task 2019-09-09T22:03:50.766Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.766Z] 22:03:50 INFO - 14 xul.dll!js::InternalCallOrConstruct(JSContext *,JS::CallArgs const &,js::MaybeConstruct) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 567 + 0xd]
[task 2019-09-09T22:03:50.767Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb160
[task 2019-09-09T22:03:50.767Z] 22:03:50 INFO - rip = 0x00007ffa239e243c
[task 2019-09-09T22:03:50.768Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.768Z] 22:03:50 INFO - 15 xul.dll!static bool InternalCall(struct JSContext *, const class js::AnyInvokeArgs & const) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 594 + 0xe]
[task 2019-09-09T22:03:50.769Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb250
[task 2019-09-09T22:03:50.769Z] 22:03:50 INFO - rip = 0x00007ffa239e3701
[task 2019-09-09T22:03:50.770Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.770Z] 22:03:50 INFO - 16 xul.dll!js::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,js::AnyInvokeArgs const &,JS::MutableHandle<JS::Value>) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 610 + 0x8]
[task 2019-09-09T22:03:50.771Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb2b0
[task 2019-09-09T22:03:50.771Z] 22:03:50 INFO - rip = 0x00007ffa239e3949
[task 2019-09-09T22:03:50.772Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.772Z] 22:03:50 INFO - 17 xul.dll!js::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,JS::Handle<JS::Value>,JS::MutableHandle<JS::Value>) [Interpreter.h:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 98 + 0x20]
[task 2019-09-09T22:03:50.773Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb2e0
[task 2019-09-09T22:03:50.773Z] 22:03:50 INFO - rip = 0x00007ffa23a8f442
[task 2019-09-09T22:03:50.774Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.774Z] 22:03:50 INFO - 18 xul.dll!static bool PromiseReactionJob(struct JSContext *, unsigned int, union JS::Value *) [Promise.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 1703 + 0x1a]
[task 2019-09-09T22:03:50.774Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb390
[task 2019-09-09T22:03:50.774Z] 22:03:50 INFO - rip = 0x00007ffa23abcb85
[task 2019-09-09T22:03:50.775Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.775Z] 22:03:50 INFO - 19 xul.dll!CallJSNative(JSContext ,bool ()(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 447 + 0x6]
[task 2019-09-09T22:03:50.776Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb540
[task 2019-09-09T22:03:50.776Z] 22:03:50 INFO - rip = 0x00007ffa239e2c0b
[task 2019-09-09T22:03:50.776Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.777Z] 22:03:50 INFO - 20 xul.dll!js::InternalCallOrConstruct(JSContext *,JS::CallArgs const &,js::MaybeConstruct) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 539 + 0xb]
[task 2019-09-09T22:03:50.777Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb5e0
[task 2019-09-09T22:03:50.778Z] 22:03:50 INFO - rip = 0x00007ffa239e24bd
[task 2019-09-09T22:03:50.778Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.779Z] 22:03:50 INFO - 21 xul.dll!static bool InternalCall(struct JSContext *, const class js::AnyInvokeArgs & const) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 594 + 0xe]
[task 2019-09-09T22:03:50.779Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb6d0
[task 2019-09-09T22:03:50.780Z] 22:03:50 INFO - rip = 0x00007ffa239e3701
[task 2019-09-09T22:03:50.780Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.781Z] 22:03:50 INFO - 22 xul.dll!js::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,js::AnyInvokeArgs const &,JS::MutableHandle<JS::Value>) [Interpreter.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 610 + 0x8]
[task 2019-09-09T22:03:50.781Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb730
[task 2019-09-09T22:03:50.782Z] 22:03:50 INFO - rip = 0x00007ffa239e3949
[task 2019-09-09T22:03:50.782Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.783Z] 22:03:50 INFO - 23 xul.dll!JS::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,JS::HandleValueArray const &,JS::MutableHandle<JS::Value>) [jsapi.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 2723 + 0x20]
[task 2019-09-09T22:03:50.783Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb760
[task 2019-09-09T22:03:50.784Z] 22:03:50 INFO - rip = 0x00007ffa23efb5ff
[task 2019-09-09T22:03:50.784Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.785Z] 22:03:50 INFO - 24 xul.dll!mozilla::dom::PromiseJobCallback::Call(JSContext *,JS::Handle<JS::Value>,mozilla::ErrorResult &) [PromiseBinding.cpp: : 26 + 0x18]
[task 2019-09-09T22:03:50.785Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb8e0
[task 2019-09-09T22:03:50.786Z] 22:03:50 INFO - rip = 0x00007ffa1fe29488
[task 2019-09-09T22:03:50.786Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.787Z] 22:03:50 INFO - 25 xul.dll!mozilla::dom::PromiseJobCallback::Call(mozilla::ErrorResult &,char const *,mozilla::dom::CallbackObject::ExceptionHandling,JS::Realm *) [PromiseBinding.h: : 91 + 0x12]
[task 2019-09-09T22:03:50.787Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffb9c0
[task 2019-09-09T22:03:50.788Z] 22:03:50 INFO - rip = 0x00007ffa1dbf3d0f
[task 2019-09-09T22:03:50.788Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.789Z] 22:03:50 INFO - 26 xul.dll!mozilla::PromiseJobRunnable::Run(mozilla::AutoSlowOperation &) [CycleCollectedJSContext.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 240 + 0x4f]
[task 2019-09-09T22:03:50.789Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffbc00
[task 2019-09-09T22:03:50.790Z] 22:03:50 INFO - rip = 0x00007ffa1dbf2d1c
[task 2019-09-09T22:03:50.790Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.791Z] 22:03:50 INFO - 27 xul.dll!mozilla::CycleCollectedJSContext::PerformMicroTaskCheckPoint(bool) [CycleCollectedJSContext.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 662 + 0xd]
[task 2019-09-09T22:03:50.791Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffbca0
[task 2019-09-09T22:03:50.792Z] 22:03:50 INFO - rip = 0x00007ffa1dbde62b
[task 2019-09-09T22:03:50.792Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.793Z] 22:03:50 INFO - 28 xul.dll!mozilla::CycleCollectedJSContext::AfterProcessTask(unsigned int) [CycleCollectedJSContext.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 491 + 0xa]
[task 2019-09-09T22:03:50.793Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffbd80
[task 2019-09-09T22:03:50.793Z] 22:03:50 INFO - rip = 0x00007ffa1dbdf119
[task 2019-09-09T22:03:50.794Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.795Z] 22:03:50 INFO - 29 xul.dll!XPCJSContext::AfterProcessTask(unsigned int) [XPCJSContext.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 1323 + 0xa]
[task 2019-09-09T22:03:50.795Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffbdb0
[task 2019-09-09T22:03:50.795Z] 22:03:50 INFO - rip = 0x00007ffa1ebe5744
[task 2019-09-09T22:03:50.796Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.796Z] 22:03:50 INFO - 30 xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:acd271126bbc17f6139f254a8fc62d108d2b4ba2 : 1282 + 0xd]
[task 2019-09-09T22:03:50.797Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffbdf0
[task 2019-09-09T22:03:50.797Z] 22:03:50 INFO - rip = 0x00007ffa1dcef2d8
[task 2019-09-09T22:03:50.798Z] 22:03:50 INFO - Found by: call frame info
[task 2019-09-09T22:03:50.798Z] 22:03:50 INFO - 31 xul.dll!XPTC__InvokebyIndex + 0x72
[task 2019-09-09T22:03:50.799Z] 22:03:50 INFO - rbp = 0x00007ffa25903c18 rsp = 0x000000abf8ffc3c0
[task 2019-09-09T22:03:50.799Z] 22:03:50 INFO - rip = 0x00007ffa258d2442
[task 2019-09-09T22:03:50.800Z] 22:03:50 INFO - Found by: call frame info

Flags: needinfo?(ewright)

Thank you, I'll fix it shortly.

Flags: needinfo?(ewright)
Pushed by ewright@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/15f22b4c9c4d
Change the Protections database API to return the correct date in the user's timezone. r=johannh
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 71

Comment on attachment 9091126 [details]
Bug 1579487 - Change the Protections database API to return the correct date in the user's timezone.

Beta/Release Uplift Approval Request

  • User impact if declined: Protection report and protection panel will show dates one day apart in timezones west of GMT. This feature will be heavily promoted, and would appear more polished if this is fixed.
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: No
  • Needs manual test from QE?: No
  • If yes, steps to reproduce:
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): Small easily tested JS change, the changed function is used in 3 places. Panel, report and "what's new". All three locations have been tested in Nightly and work properly.
  • String changes made/needed: none
Attachment #9091126 - Flags: approval-mozilla-beta?

Comment on attachment 9091126 [details]
Bug 1579487 - Change the Protections database API to return the correct date in the user's timezone.

Protection Report polish fix. Approved for 70.0b8.

Attachment #9091126 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
You need to log in before you can comment on or make changes to this bug.